package info.bukova.isspst.ui.search;

import info.bukova.isspst.StringUtils;
import info.bukova.isspst.data.Order;

public class OrderResultTransformer extends AbstractResultTransformer implements ResultTransformer {

	@Override
	protected void transform(Object object, SearchResult result) {
		Order order = (Order)object;
		result.setRecordName(StringUtils.localize("Order") + ": " + order.getNumser());
		result.setDescription(order.getDescription() + ", " + StringUtils.localize("Supplier") + ": " + order.getSuplier().getCompany());
	}

}
